Skip to main content
GET
https://api.rankspot.ai
/
v1
/
keywords
List keywords
curl --request GET \
  --url https://api.rankspot.ai/v1/keywords \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "total": 100,
    "offset": 0,
    "limit": 100,
    "count": 10,
    "items": [
      {
        "id": "clx...",
        "keyword": "start blog",
        "competition": "MEDIUM",
        "competitionIndex": 60,
        "searchVolume": 27100,
        "opportunityIndex": 10,
        "aiScore": 74,
        "compositeScore": 68,
        "topicIds": [
          "clx..."
        ],
        "articleIds": [
          "clx..."
        ],
        "createdAt": "2026-06-09T19:15:21.449Z",
        "updatedAt": "2026-06-09T19:15:21.449Z",
        "competitorId": "clx..."
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

offset
number
default:0
Required range: x >= 0
limit
number
default:20
Required range: 1 <= x <= 100
keyword
string

Filter by keyword substring

competitorId
string

Filter by competitor ID

sortBy
enum<string>
default:compositeScore
Available options:
opportunityIndex,
competitionIndex,
searchVolume,
compositeScore,
aiScore
sortOrder
enum<string>
default:desc
Available options:
asc,
desc
type
enum<string>

all: all non-archived | planned: linked to a topic but no article yet | processed: has a linked article | new: no topic or article | archived: archived keywords

Available options:
all,
planned,
processed,
new,
archived

Response

200 - application/json
data
object